[Overview][Procedures and functions][Variables][Index] | Reference for unit 'wincrt' (#rtl)

# readkey

Read a key from the keyboard

## Declaration

Source position: wincrt.pp line 21

`function readkey: Char;`

## Function result

The pressed key

## Description

ReadKey reads a key from the keyboard, and returns the ASCII value of the key, or the scancode of the key in case it is a special key.

The function waits until a key is pressed.

## See also

KeyPressed |  | Check if a key was pressed.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.